Package it.ernytech.tdlib

## Class TdApi.GenerateChatInviteLink

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.GenerateChatInviteLink

Enclosing class:
  TdApi

    public static class TdApi.GenerateChatInviteLink
    extends TdApi.Function

Generates a new invite link for a chat; the previously generated link is revoked. Available for basic groups, supergroups, and channels. In basic groups this can be called only by the group's creator; in supergroups and channels this requires appropriate administrator rights.

Returns `ChatInviteLink`

### Field Summary

Fields
`long` `chatId` Chat identifier.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.

### Constructor Summary

Constructors
`GenerateChatInviteLink()` Default constructor.
`GenerateChatInviteLink​(long chatId)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### chatId

    public long chatId

Chat identifier.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### GenerateChatInviteLink

    public GenerateChatInviteLink()

Default constructor.

#### GenerateChatInviteLink

    public GenerateChatInviteLink​(long chatId)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Chat identifier.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR